Debian Bug report logs - #650601
transition: libpng 1.5

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@debian.org>

Date: Thu, 1 Dec 2011 00:18:15 UTC

Severity: normal

Tags: moreinfo, wheezy-ignore

Forwarded to http://release.debian.org/transitions/html/libpng1.5.html

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 01 Dec 2011 00:18:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 01 Dec 2011 00:18:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>
Subject: transition: libpng 1.5
Date: Thu, 1 Dec 2011 09:16:41 +0900
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi Release Team,

Libpng maintainers want to update libpng from 1.2 to 1.5.
libpng of ABI and API has been changed by change of 1.2 to 1.5, so it
needs a transition from libopng12 to libpng15.
We tested building of the package depending on libpng12.
FTBFS by this change is reported and is summarized below.
  http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=libpng15-transition;users=libpng@packages.debian.org
Almost all packages have not been corrected yet.

And it is necessary to change Build-depends of almost all packages
into libpng-dev from libpng12-dev.
The present status is as follows.

So please let me know when you'd like me to upload libpng1.5 to unstable.

Best regards,
  Nobuhiro

-----

3depict:
	Build OK
aaphoto:
	FTBFS 636555 (with patch)
abiword:
	Not check
ace-of-penguins:
	FTBFS 635741 (with patch)
achilles:
	Build OK
acovea:
	Build OK
afterstep:
	FTBFS 649970
alevt:
	FTBFS 650483
alien-arena:
	Build OK
ambdec:
	Build OK
amoeba:
	FTBFS 650593
amsn:
	FTBFS 648133
amule:
	Build OK
analog:
	Build OK
antigrav:
	FTBFS 649793
arb:
	Not check
armagetronad:
	FTBFS 649547
atari800:
	Build OK
autotrace:
	Not check
awffull:
	Build OK
blender:
	Build OK
blockout2:
	FTBFS 649550 (with patch)
boswars:
	Build OK
briquolo:
	FTBFS 649789 (with patch)
bwbar:
	Build OK
cairo:
	FTBFS 648141 (with patch)
camlimages:
	Build OK
camorama:
	Build OK
caret:
	Build OK
cegui-mk2:
	Build OK
celestia:
	FTBFS 649551 (with patch)
chimera2:
	FTBFS 635743 (with patch)
chromium-browser:
	Build OK
clanlib:
	FTBFS 649552 (with patch)
cmtk:
	Build OK
compiz:
	Build OK
contextfree:
	Build OK
crystalspace:
	Not check
csound:
	Build OK
ctsim:
	Build OK
cultivation:
	Build OK
cups:
	Build OK
darkplaces:
	FTBFS 650594
darktable:
	Build OK
dcmtk:
	Build OK
deng:
	FTBFS 650595
devil:
	FTBFS 649554 (with patch)
dia:
	FTBFS 649553 (with patch)
digikam:
	Build OK
dillo:
	Build OK
directfb:
	FTBFS 648138 (with patch)
dosbox:
	Build OK
driftnet:
	Build OK
dvdauthor:
	FTBFS 649971
dvdisaster:
	FTBFS 649555
dvipng:
	Build OK
dx:
	Build OK
eagle:
	Build OK
ebumeter:
	Build OK
elastix:
	Build OK
emacs23:
	Build OK
emboss:
	Build OK
enblend-enfuse:
	Not check
epm:
	Build OK
evas:
	FTBFS 649556
exactimage:
	Build OK
exrtools:
	FTBFS 650484
extremetuxracer:
	FTBFS 649557
exult:
	FTBFS 649549
fbdesk:
	Not check
fbi:
	Build OK
fenix:
	FTBFS 649548
ffmpegthumbnailer:
	Build OK
fgfs-atlas:
	FTBFS 648137
fim:
	Not check 636968 (with patch)
flam3:
	FTBFS 635945 (with patch)
fldigi:
	Build OK
fltk1.1:
	Build OK 648135
fltk1.3:
	Build OK
fontforge:
	FTBFS 649950
fox1.6:
	Build OK
fraqtive:
	Build OK
freeciv:
	Build OK
freecraft:
	FTBFS 649546
freegish:
	FTBFS 649796
freeimage:
	FTBFS 650485
freej:
	Build OK
freesci:
	Build OK
fsl:
	Build OK
fsviewer:
	Not check
fuse-emulator:
	Build OK 649803
fvwm:
	FTBFS 649802
g2clib:
	FTBFS #650486
gambas2:
	Not check
gamera:
	Build OK
gargoyle-free:
	Build OK
gd4o:
	Build OK
gdal:
	FTBFS 636053 (with patch)
gdcm:
	Build OK
gdk-pixbuf:
	Build OK
gegl:
	FTBFS 649952
gerbv:
	Build OK
ghostscript:
	Build OK
gif2png:
	FTBFS 650487
gimp-gap:
	Build OK
gimp:
	FTBFS 649972
gle-graphics:
	Build OK
glhack:
	FTBFS 649948
gltron:
	FTBFS 625343 (with patch)
gmerlin-avdecoder:
	Build OK
gmsh:
	Build OK
gnash:
	FTBFS 649384 (other FTBFS)
gnome-xcf-thumbnailer:
	FTBFS 635946 (with patch)
gnubg:
	Build OK
gnuplot:
	Build OK
gnuradio:
	FTBFS 642716
gnusound:
	FTBFS 622013 (other FTBFS)
gnustep-gui:
	Build OK
gpiv:
	Build OK
gpivtools:
	Build OK
grace:
	Build OK
graphicsmagick:
	FTBFS 649973
graphviz:
	Build OK
grass:
	Not check
gretl:
	Build OK
grfcodec:
	Build OK
grib-api:
	Build OK
gst-plugins-bad0.10:
	Build OK
gst-plugins-good0.10:
	Build OK
gthumb:
	Build OK
gtkatlantic:
	Build OK
guvcview:
	Build OK
h5utils:
	FTBFS 650488
hatari:
	Build OK
htmldoc:
	FTBFS 650562
hugin:
	Build OK
iceape:
	FTBFS 649976
icedove:
	Build OK 649977
iceowl:
	Build OK
iceweasel:
	Build OK
icewm:
	Build OK
icinga:
	Build OK
icoutils:
	Build OK
ifeffit:
	Not check
imagemagick:
	Build OK
imlib2:
	FTBFS 635947 (with patch)
inkscape:
	FTBFS 649975
insighttoolkit:
	FTBFS 648136
irrlicht:
	FTBFS 649947
iulib:
	Build OK
jbig2dec:
	Build OK
jigzo:
	FTBFS 649839 (with patch)
jkmeter:
	Build OK
jmeters:
	Build OK
jnoisemeter:
	Build OK
jwm:
	Build OK
k3d:
	Build OK
kde4libs:
	Build OK
kdebase-workspace:
	Build OK
kipi-plugins:
	Build OK
kmldonkey:
	Build OK
kmymoney:
	Build OK
knews:
	Build OK
koffice:
	Build OK
ktoon:
	FTBFS 598933
lensfun:
	FTBFS 648130
leptonlib:
	FTBFS 636971 (with patch)
libapache2-mod-qos:
	Build OK
libclaw:
	Build OK
libcoyotl:
	FTBFS 641377
libdmtx:
	Build OK
libevocosm:
	FTBFS 641385 (other FTBFS)
libgd-gd2-noxpm-perl:
	Build OK
libgd-gd2-perl:
	Build OK
libgd-ruby:
	Build OK
libgd2:
	Build OK
libgdiplus:
	FTBFS 649946
libgpiv:
	FTBFS 650489
libharu:
	Build OK
libhildon:
	Build OK
libicns:
	FTBFS 635952 (with patch)
libimager-perl:
	Build OK
libkate:
	Build OK
libmatchbox:
	FTBFS 649822
libpano13:
	Build OK
libpgplot-perl:
	Not check
libphash:
	Build OK
libquicktime:
	Build OK
librasterlite:
	Build OK
libreoffice:
	Build OK
libsfml:
	FTBFS 650564
libtheora:
	Build OK
libtk-img:
	Build OK
libvigraimpex:
	Build OK
libwebp:
	Build OK
libwmf:
	Build OK
lightspeed:
	FTBFS 649787 (with patch)
links2:
	Build OK
literki:
	Build OK
love:
	Build OK
luatex:
	Build OK
lugaru:
	Build OK
mapnik:
	Build OK
mapserver:
	Not check
matanza:
	FTBFS 636984 (with patch)
matchbox-keyboard:
	FTBFS 649820
mathgl:
	FTBFS 650565
matplotlib:
	Build OK
metapixel:
	FTBFS 636004 (with patch)
ming:
	Build OK
mplayer2:
	Build OK
mplayer:
	Build OK
mrtg:
	Build OK
mrxvt:
	Build OK
mtpaint:
	FTBFS 649821
mupen64plus-core:
	Build OK
mupen64plus-video-rice:
	Build OK
nagios3:
	Build OK
ncbi-tools6:
	Build OK 636006
netpbm-free:
	FTBFS 648131
netsurf:
	Build OK
neverball:
	Build OK
nip2:
	Not check
ntop:
	Not check
nxcomp:
	FTBFS 650566
ocamlsdl:
	Build OK
ocropus:
	Build OK
odin:
	Not check
oolite:
	Build OK
opencv:
	FTBFS 649953
openjdk-6:
	Build OK
openjdk-7:
	Build OK
openmsx:
	FTBFS 649819
openscenegraph:
	Build OK
openttd:
	Build OK
openvrml:
	Build OK 649411 (with patch)
optipng:
	Build OK
oregano:
	Build OK
ossim:
	Build OK
paraview:
	Build OK
pdp:
	Build OK
pekwm:
	Build OK
perceptualdiff:
	FTBFS 636969 (with patch)
perl-tk:
	Build OK
pgplot5:
	FTBFS 648129
phaseshift:
	Not check
photoprint:
	Build OK
php5:
	Build OK
pilot-link:
	Build OK
pinball:
	Build OK
plastimatch:
	Build OK
ploticus:
	Build OK
plotutils:
	Build OK
plt-scheme:
	Build OK
plymouth:
	Build OK
png++:
	Build OK
png23d:
	FTBFS 650567
pngcheck:
	Build OK
pngcrush:
	FTBFS 648128
pngmeta:
	FTBFS 636998 (with patch)
pngnq:
	FTBFS 641889 (with patch)
pngphoon:
	Build OK
pngquant:
	Build OK 641891 (with patch)
pngtools:
	FTBFS 641892 (with patch)
poppler:
	Build OK
populations:
	Build OK
povray:
	Build OK
prima:
	FTBFS 650575
pslib:
	Build OK
pstoedit:
	Build OK
pygpiv:
	FTBFS 650598 (other FTBFS)
python-gd:
	Not check
pyxplot:
	Build OK
qpxtool:
	FTBFS 648127
qrencode:
	FTBFS 641893 (with patch)
qt-x11-free:
	FTBFS 648132
qt4-x11:
	FTBFS 649969
qtiplot:
	Build OK
quassel:
	Build OK
qutemol:
	FTBFS 648122
r-base:
	Build OK
racket:
	Build OK
raster3d:
	Not check
rawtherapee:
	FTBFS 649939
renpy:
	FTBFS 649808
rgl:
	Build OK
rrdtool:
	Build OK
ruby-gnome2:
	Build OK
scorched3d:
	FTBFS 650579 (other FTBFS)
sdl-image1.2:
	FTBFS 636007 (with patch)
sdop:
	Build OK
seaview:
	Build OK 648121
silly:
	FTBFS 638811 (with patch)
simage:
	FTBFS 648126
simutrans:
	Build OK
skanlite:
	Build OK
slang2:
	Build OK
slashem:
	FTBFS 649807
slim:
	FTBFS 648120
sludge:
	Build OK
sng:
	FTBFS 648119
sofa-framework:
	FTBFS 650568
sox:
	Build OK
soya:
	Build OK
spamprobe:
	Build OK
stella:
	Build OK
stereograph:
	FTBFS 650577
sunclock:
	Build OK
swami:
	Build OK
swfmill:
	Build OK
sylpheed:
	Build OK
tachyon:
	Build OK
teem:
	FTBFS 650569
tetraproc:
	Build OK
texlive-bin:
	FTBFS 649949
therion:
	FTBFS 648124
thunar-vfs:
	Build OK
torcs:
	Build OK 636009 (with patch)
tracker:
	Build OK
transfig:
	Build OK
trophy:
	Build OK
tucnak2:
	FTBFS 649806
tulip:
	Build OK
tuxonice-userui:
	FTBFS 648125
tuxpuck:
	FTBFS 649809
tvtime:
	FTBFS 650582
unicap:
	FTBFS 649810 (with patch)
valknut:
	Build OK
via:
	Build OK
vice:
	Build OK
videocut:
	Build OK
viewmol:
	Build OK
vips:
	Build OK
virtualbox:
	Build OK
visualboyadvance:
	FTBFS 649804 (with patch)
vlc:
	Build OK
vmtk:
	FTBFS 650586 (other FTBFS)
voxbo:
	Build OK
vtk:
	Build OK
vxl:
	FTBFS 650570
warmux:
	FTBFS 649788 (with patch)
warzone2100:
	Build OK
wdm:
	Not check
webalizer:
	Build OK
webdruid:
	FTBFS #646499 (other FTBFS)
webkit:
	Build OK
whitedune:
	FTBFS 638812 (with patch)
wine-unstable:
	FTBFS
wine:
	FTBFS
wizznic:
	Build OK
wmaker:
	FTBFS 648123 (with patch)
wml:
	Build OK
wv:
	Build OK
wxwidgets2.6:
	FTBFS 649794
wxwidgets2.8:
	Build OK
x11-apps:
	Build OK
xautomation:
	Build OK
xawtv:
	Build OK
xbubble:
	FTBFS 650571
xcftools:
	Build OK
xemacs21:
	FTBFS 650581
xfe:
	Build OK
xfig:
	Build OK
xine-lib:
	Not check
xine-ui:
	FTBFS 650572
xli:
	Build OK
xloadimage:
	FTBFS 635706 (with patch)
xmedcon:
	FTBFS 649795 (with patch)
xmhtml:
	Build OK
xmoto:
	FTBFS 649797 (with patch)
xnecview:
	FTBFS 649798 (with patch)
xpaint:
	Build OK
xplanet:
	FTBFS 649799 (with patch)
xsane:
	FTBFS 649800
xstarfish:
	FTBFS 635704 (with patch)
xtide:
	Build OK
yafaray:
	Build OK
ygraph:
	Build OK
yorick-z:
	Build OK
zapping:
	FTBFS 650580
zgv:
	Build OK 635702 (with patch)
ziproxy:
	Build OK
zita-rev1:
	Build OK
zsnes:
	FTBFS 649801 (with patch)
zvbi:
	FTBFS 650482


-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 01 Dec 2011 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 01 Dec 2011 12:45:26 GMT) Full text and rfc822 format available.

Message #10 received at 650601@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>, <650601@bugs.debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Thu, 01 Dec 2011 11:30:19 +0000
On Thu, 1 Dec 2011 09:16:41 +0900, Nobuhiro Iwamatsu wrote:
> Libpng maintainers want to update libpng from 1.2 to 1.5.
> libpng of ABI and API has been changed by change of 1.2 to 1.5, so it
> needs a transition from libopng12 to libpng15.
> We tested building of the package depending on libpng12.
> FTBFS by this change is reported and is summarized below.
>
> 
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=libpng15-transition;users=libpng@packages.debian.org
> Almost all packages have not been corrected yet.
>
> And it is necessary to change Build-depends of almost all packages
> into libpng-dev from libpng12-dev.

Is there a good reason why the new libpng-dev couldn't at least Provide 
libpng12-dev in the short term?  Would this allow some (most?) packages 
to be binNMUed?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sun, 04 Dec 2011 14:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Fontaine <arnau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Dec 2011 14:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 650601@bugs.debian.org (full text, mbox):

From: Arnaud Fontaine <arnau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Sun, 04 Dec 2011 23:35:00 +0900
[Message part 1 (text/plain, inline)]
Nobuhiro Iwamatsu <iwamatsu@debian.org> writes:

> And it  is necessary  to change Build-depends  of almost  all packages
> into libpng-dev from libpng12-dev.  The present status is as follows.
> [...]
>       tuxonice-userui: FTBFS 648125

I wrote a patch and have a package ready to upload as soon as libpng 1.5
is in unstable.

Cheers,
-- 
Arnaud Fontaine
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Dec 2011 05:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Dec 2011 05:45:05 GMT) Full text and rfc822 format available.

Message #20 received at 650601@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Sun, 4 Dec 2011 23:34:37 -0600
[Message part 1 (text/plain, inline)]
On Thu, Dec 01, 2011 at 11:30:19AM +0000, Adam D. Barratt wrote:
> On Thu, 1 Dec 2011 09:16:41 +0900, Nobuhiro Iwamatsu wrote:
> >Libpng maintainers want to update libpng from 1.2 to 1.5.
> >libpng of ABI and API has been changed by change of 1.2 to 1.5, so it
> >needs a transition from libopng12 to libpng15.

> >And it is necessary to change Build-depends of almost all packages
> >into libpng-dev from libpng12-dev.
> 
> Is there a good reason why the new libpng-dev couldn't at least
> Provide libpng12-dev in the short term?  Would this allow some
> (most?) packages to be binNMUed?

If the API has changed, as Nobuhiro states above, it would be
incorrect for the new -dev package to provide the old, wouldn't it?
Nor can the provides be temporary; it would have to last until all the
build-depends were changed, wouldn't it?


Wouldn't it be better, instead, to leave both old and new -dev
packages in the archive until all 123 dependent packages are fixed?

Cheers,
-Steve
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Dec 2011 07:42:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Dec 2011 07:42:12 GMT) Full text and rfc822 format available.

Message #25 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 650601@bugs.debian.org
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 5 Dec 2011 16:34:29 +0900
Hi,

2011/12/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> On Thu, 1 Dec 2011 09:16:41 +0900, Nobuhiro Iwamatsu wrote:
>>
>> Libpng maintainers want to update libpng from 1.2 to 1.5.
>> libpng of ABI and API has been changed by change of 1.2 to 1.5, so it
>> needs a transition from libopng12 to libpng15.
>> We tested building of the package depending on libpng12.
>> FTBFS by this change is reported and is summarized below.
>>
>>
>>
>> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=libpng15-transition;users=libpng@packages.debian.org
>> Almost all packages have not been corrected yet.
>>
>> And it is necessary to change Build-depends of almost all packages
>> into libpng-dev from libpng12-dev.
>
>
> Is there a good reason why the new libpng-dev couldn't at least Provide
> libpng12-dev in the short term?

libpng12-dev provides libpng-dev.
This is provided from before.

> Would this allow some (most?) packages to
> be binNMUed?

No, almost all packages have described libpng12-dev to Build-Depends.
First, we had better upload libpng15, after changing libpng12-dev into
libpng-dev.
Surely, I think that this method is easy for shift.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Dec 2011 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Dec 2011 07:45:04 GMT) Full text and rfc822 format available.

Message #30 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Steve M. Robbins" <steve@sumost.ca>, 650601@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 5 Dec 2011 08:43:16 +0100
On Sun, Dec  4, 2011 at 23:34:37 -0600, Steve M. Robbins wrote:

> If the API has changed, as Nobuhiro states above, it would be
> incorrect for the new -dev package to provide the old, wouldn't it?

No.  It would only be incorrect if the plan was to keep libpng12-dev
around as a real package.  Since the source package name was not
changed, I assume that's not the case.

> Nor can the provides be temporary; it would have to last until all the
> build-depends were changed, wouldn't it?
> 
That's what temporary means.

> Wouldn't it be better, instead, to leave both old and new -dev
> packages in the archive until all 123 dependent packages are fixed?
> 
There are 400 reverse dependencies of libpng.  I don't think source
changes to all of them (most just to switch a build-dependency) is a
good plan.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Dec 2011 19:15:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Dec 2011 19:15:19 GMT) Full text and rfc822 format available.

Message #35 received at 650601@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 05 Dec 2011 19:13:26 +0000
On Mon, 2011-12-05 at 16:34 +0900, Nobuhiro Iwamatsu wrote:
> 2011/12/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
> > On Thu, 1 Dec 2011 09:16:41 +0900, Nobuhiro Iwamatsu wrote:
> >>
> >> Libpng maintainers want to update libpng from 1.2 to 1.5.
> >> libpng of ABI and API has been changed by change of 1.2 to 1.5, so it
> >> needs a transition from libopng12 to libpng15.
> >> We tested building of the package depending on libpng12.
> >> FTBFS by this change is reported and is summarized below.
> >>
> >> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=libpng15-transition;users=libpng@packages.debian.org
> >> Almost all packages have not been corrected yet.

That's quite a blocker; see below.

> >> And it is necessary to change Build-depends of almost all packages
> >> into libpng-dev from libpng12-dev.
> >
> >
> > Is there a good reason why the new libpng-dev couldn't at least Provide
> > libpng12-dev in the short term?
> 
> libpng12-dev provides libpng-dev.
> This is provided from before.

Was this communicated to affected maintainers?  Looking at unstable's
Sources list, there appear to be around 100 packages already
build-depending on libpng-dev, but there's no easy way of telling how
long they've been doing so.

> > Would this allow some (most?) packages to
> > be binNMUed?
> 
> No, almost all packages have described libpng12-dev to Build-Depends.

I'm not sure if something's getting lost in translation here, or if I
wasn't clear enough in my question.  If libpng12-dev was still Provided,
is there any reason we couldn't then binNMU the 100-or-so packages
marked as "ok" in your list?

> First, we had better upload libpng15, after changing libpng12-dev into
> libpng-dev.
> Surely, I think that this method is easy for shift.

We appear to have different definitions of "easy".  Anything that
involves changes to and uploads of over 300 packages is not what the
release team classifies as easy.

Furthermore, your list indicates that you're aware of nearly 130 build
failures with the new library, and that less than a quarter of those
have patches in the BTS; that's really too large a number to be starting
a transition with.  How many of the failures which don't have patches
filed are directly attributable to the libpng changes?

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 06 Dec 2011 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 06 Dec 2011 01:21:03 GMT) Full text and rfc822 format available.

Message #40 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 650601@bugs.debian.org
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Tue, 6 Dec 2011 10:17:20 +0900
Hi,

2011/12/6 Adam D. Barratt <adam@adam-barratt.org.uk>:
> On Mon, 2011-12-05 at 16:34 +0900, Nobuhiro Iwamatsu wrote:
>> 2011/12/1 Adam D. Barratt <adam@adam-barratt.org.uk>:
>> > On Thu, 1 Dec 2011 09:16:41 +0900, Nobuhiro Iwamatsu wrote:
>> >>
>> >> Libpng maintainers want to update libpng from 1.2 to 1.5.
>> >> libpng of ABI and API has been changed by change of 1.2 to 1.5, so it
>> >> needs a transition from libopng12 to libpng15.
>> >> We tested building of the package depending on libpng12.
>> >> FTBFS by this change is reported and is summarized below.
>> >>
>> >> http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=libpng15-transition;users=libpng@packages.debian.org
>> >> Almost all packages have not been corrected yet.
>
> That's quite a blocker; see below.
>
>> >> And it is necessary to change Build-depends of almost all packages
>> >> into libpng-dev from libpng12-dev.
>> >
>> >
>> > Is there a good reason why the new libpng-dev couldn't at least Provide
>> > libpng12-dev in the short term?
>>
>> libpng12-dev provides libpng-dev.
>> This is provided from before.
>
> Was this communicated to affected maintainers?  Looking at unstable's
> Sources list, there appear to be around 100 packages already
> build-depending on libpng-dev, but there's no easy way of telling how
> long they've been doing so.

No, I do not yet notify you of this.
I work now.

>
>> > Would this allow some (most?) packages to
>> > be binNMUed?
>>
>> No, almost all packages have described libpng12-dev to Build-Depends.
>
> I'm not sure if something's getting lost in translation here, or if I
> wasn't clear enough in my question.  If libpng12-dev was still Provided,
> is there any reason we couldn't then binNMU the 100-or-so packages
> marked as "ok" in your list?

The thing depending on libpng12-dev is still included in my OK list, too.
I replaced the package which still depended on libpng12-dev with
libpng-dev and confirmed the build.
And at first in the package which I still depend on libpng12-dev for
for the correction because it is necessary,
I understand it when this method is wrong.

>
>> First, we had better upload libpng15, after changing libpng12-dev into
>> libpng-dev.
>> Surely, I think that this method is easy for shift.
>
> We appear to have different definitions of "easy".  Anything that
> involves changes to and uploads of over 300 packages is not what the
> release team classifies as easy.
>

I understand that package transition is difficult.
This means comparing with the case where there is a package depending
on libpng-dev and libpng12-dev.

> Furthermore, your list indicates that you're aware of nearly 130 build
> failures with the new library, and that less than a quarter of those
> have patches in the BTS; that's really too large a number to be starting
> a transition with.  How many of the failures which don't have patches
> filed are directly attributable to the libpng changes?

Yes, almost all packages are caused by change of ABI/API of libpng.

I think that I will solve these problems as follows from now on.
First, I request the transition to libpng-dev from libpng12-dev from a
package maintainer.
Second,  I correct FTBFS by libpng15.
A release team is again consulted with on shift to libpng15 after that.

How is it?

Best regards,
  Nobuhiro
-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 06 Dec 2011 04:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 06 Dec 2011 04:09:03 GMT) Full text and rfc822 format available.

Message #45 received at 650601@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Julien Cristau <jcristau@debian.org>
Cc: 650601@bugs.debian.org, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 5 Dec 2011 22:02:37 -0600
[Message part 1 (text/plain, inline)]
On Mon, Dec 05, 2011 at 08:43:16AM +0100, Julien Cristau wrote:
> On Sun, Dec  4, 2011 at 23:34:37 -0600, Steve M. Robbins wrote:
> 
> > If the API has changed, as Nobuhiro states above, it would be
> > incorrect for the new -dev package to provide the old, wouldn't it?
> 
> No.  It would only be incorrect if the plan was to keep libpng12-dev
> around as a real package.

I'd have to disagree.  If I install something named libpng12-dev,
I'd expect it to have the same API as it always had.  This is untrue
for libpng 1.5.


> > Nor can the provides be temporary; it would have to last until all the
> > build-depends were changed, wouldn't it?
> > 
> That's what temporary means.

Touche.  The phrase I wanted was "short term".  


> > Wouldn't it be better, instead, to leave both old and new -dev
> > packages in the archive until all 123 dependent packages are fixed?
> > 
> There are 400 reverse dependencies of libpng.  I don't think source
> changes to all of them (most just to switch a build-dependency) is a
> good plan.

I don't know if most are just switching a build-dependency.  I saw
quite a number with serious changes; e.g. the new version has hidden
at least one formerly-exposed class.  If you really switch libpng12-dev,
you instantly make these all unbuildable.  

Can we not keep both APIs around until all the upstreams switch over
to the new API?  This keeps everyone building and able to switch at
the proper pace.

Thanks,
-Steve


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sat, 25 Feb 2012 20:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 25 Feb 2012 20:27:07 GMT) Full text and rfc822 format available.

Message #50 received at 650601@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 650601@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Sat, 25 Feb 2012 21:22:57 +0100
[Message part 1 (text/plain, inline)]
Adam D. Barratt <adam@adam-barratt.org.uk> (05/12/2011):
> On Mon, 2011-12-05 at 16:34 +0900, Nobuhiro Iwamatsu wrote:
> > First, we had better upload libpng15, after changing libpng12-dev
> > into libpng-dev.  Surely, I think that this method is easy for
> > shift.
> 
> We appear to have different definitions of "easy".  Anything that
> involves changes to and uploads of over 300 packages is not what the
> release team classifies as easy.

I set up a tracker in the meanwhile:
  http://release.debian.org/transitions/html/libpng1.5.html

and it doesn't qualify as “easy” by my standards either.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Mar 2012 06:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Mar 2012 06:36:04 GMT) Full text and rfc822 format available.

Message #55 received at 650601@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 650601@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 05 Mar 2012 07:33:34 +0100
[Message part 1 (text/plain, inline)]
On 25.02.2012 21:22, Cyril Brulebois wrote:
> Adam D. Barratt <adam@adam-barratt.org.uk> (05/12/2011):
>> On Mon, 2011-12-05 at 16:34 +0900, Nobuhiro Iwamatsu wrote:
>>> First, we had better upload libpng15, after changing libpng12-dev
>>> into libpng-dev.  Surely, I think that this method is easy for
>>> shift.
>>
>> We appear to have different definitions of "easy".  Anything that
>> involves changes to and uploads of over 300 packages is not what the
>> release team classifies as easy.
> 
> I set up a tracker in the meanwhile:
>   http://release.debian.org/transitions/html/libpng1.5.html
> 
> and it doesn't qualify as “easy” by my standards either.


Seems there has been a MBF regarding changing the build-depedency from
libpng12-dev to libpng-dev.
Reading through #650601 and seeing the amount of packages affected, I
think the proposed plan is not good for several reasons.
a/ virtual provides can't safisfy versioned dependencies
b/ switching blindly from libpng12-dev to libpng-dev doesn't mean the
package will actually build against libpng15
c/ testing migration will be a night mare.

What about the following:
- Make libpng12 and libpng15 co-installable, by using different source
package names, e.g. src:libpng and src:libpng15
- src:libpng12 builds libpng12-dev, src:libpng15 builds libpng15-dev
- upload *both* packages to unstable
- src:libpng12 builds a real package libpng-dev, which depends on
libpng12-dev (with a strict dep), this way versioned build-depends can
be satisfied.
- let both packages migrate to testing
- tell maintainers to test their packages against libpng15, and do the
following:
   1/ if it builds against both libpng12 and libpng15, change the b-dep
to libpng-dev
   2/ if it needs updates for libpng15 and the change is not backwards
compatible, b-depend on libpng15-dev
- when all packages have been updated to depend on either libpng-dev or
libpng15-dev, make src:libpng15 build libpng-dev and make it depend on
libpng15-dev and binNMU the remaining lot.

This way, we don't need to start a huge transition, which has the
potential to block other transitions due to testing migration.


How does that sound?

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Mar 2012 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Mar 2012 06:54:04 GMT) Full text and rfc822 format available.

Message #60 received at 650601@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 650601@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 05 Mar 2012 07:50:33 +0100
[Message part 1 (text/plain, inline)]
Two more points:

On 05.03.2012 07:33, Michael Biebl wrote:
> What about the following:
> - Make libpng12 and libpng15 co-installable, by using different source
> package names, e.g. src:libpng and src:libpng15
> - src:libpng12 builds libpng12-dev, src:libpng15 builds libpng15-dev
> - upload *both* packages to unstable
> - src:libpng12 builds a real package libpng-dev, which depends on
> libpng12-dev (with a strict dep), this way versioned build-depends can
> be satisfied.
> - let both packages migrate to testing
> - tell maintainers to test their packages against libpng15, and do the
> following:
>    1/ if it builds against both libpng12 and libpng15, change the b-dep
> to libpng-dev
>    2/ if it needs updates for libpng15 and the change is not backwards

     3/ File bugs against packages which already build-depends on
libpng-dev but will ftbfs against libpng15

> compatible, b-depend on libpng15-dev
> - when all packages have been updated to depend on either libpng-dev or
> libpng15-dev, make src:libpng15 build libpng-dev and make it depend on
> libpng15-dev and binNMU the remaining lot.

- Cleanup aftwards, i.e. remove the libpng12 source package.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 05 Mar 2012 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 05 Mar 2012 19:21:03 GMT) Full text and rfc822 format available.

Message #65 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Michael Biebl <biebl@debian.org>, 650601@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 5 Mar 2012 20:18:56 +0100
[Message part 1 (text/plain, inline)]
On Mon, Mar  5, 2012 at 07:33:34 +0100, Michael Biebl wrote:

> How does that sound?
> 
I'd rather get as many "FTBFS against libpng 1.5" bugs as possible fixed
now.  Then after wheezy make the actual switch.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 19 Mar 2012 21:09:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 19 Mar 2012 21:09:37 GMT) Full text and rfc822 format available.

Message #70 received at 650601@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: Julien Cristau <jcristau@debian.org>
Cc: Michael Biebl <biebl@debian.org>, 650601@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Subject: Re: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 19 Mar 2012 22:09:06 +0100
Am -10.01.-28163 20:59, schrieb Julien Cristau:
> On Mon, Mar  5, 2012 at 07:33:34 +0100, Michael Biebl wrote:
>
>> How does that sound?
>>
> I'd rather get as many "FTBFS against libpng 1.5" bugs as possible fixed
> now.  Then after wheezy make the actual switch.
>
> Cheers,
> Julien

Is that the current plan now or is there still the chance of a
co-installable libpng15-dev in wheezy? I'm working on packaging
something that needs libpng 1.5 and I would like to know if it has to be
patched to work with libpng 1.2.

Best regards,
Tobias Hansen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 11:11:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 11:11:29 GMT) Full text and rfc822 format available.

Message #75 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: 650601@bugs.debian.org
Cc: Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 22:00:12 +1100
On Sat, Feb 18, 2012 at 10:42:34PM -0800, jbowler@acm.org wrote:
>There are a lot of negatives in the following sentence, bear with me,
>or believe me and take note of the final sentence before my signature
>in this message.
>
>Glenn has pointed out to me that even though libpng 1.2.46 never
>assigns the 'default' to the limit variable in png_struct (which, in
>fact, does not exist in 1.2) the code in pngread.c never actually
>checks that non-existent variable because the checking code is
>protected by another random sequence of characters; from
>libpng-1.2.46::pngrutil.c:
>
>#ifdef PNG_SET_CHUNK_MALLOC_LIMIT_SUPPORTED
>      if (png_ptr->user_chunk_malloc_max &&
>          (prefix_size + expanded_size >= png_ptr->user_chunk_malloc_max - 1))
>#else
>#  ifdef PNG_USER_CHUNK_MALLOC_MAX
>      if ((PNG_USER_CHUNK_MALLOC_MAX > 0) &&
>          prefix_size + expanded_size >= PNG_USER_CHUNK_MALLOC_MAX - 1)
>#  endif
>#endif
>
>I.e. "PNG_SET_CHUNK_MALLOC_LIMIT_SUPPORTED" is another variant on the
>always-undefined macro from pngread.c "PNG_SET_USER_CHUNK_MALLOC_MAX";
>so far as I can see short of an explicit -D in CFLAGS there is no way
>to get these macros defined in a build of libpng 1.2
>
>So... in fact libpng-1.2 as it currently stands has no way of
>preventing attacks based on the relatively simple approach revealed by
>Google of sending a PNG with an unnaturally large iCCP.
>
>I simply suggest that no one uses libpng 1.2; it's not safe.
>
>John Bowler <jbowler@acm.org>

The message above is part of a discussion in the libpng development
mailing list about the *lack* of security of libpng 1.2, after the last
vulnerability was discovered by the chrome folks.

For more details see
http://sourceforge.net/mailarchive/message.php?msg_id=28856022

So, the message is to move away from libpng 1.2 in Debian as soon as we
can.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 11:42:10 GMT) Full text and rfc822 format available.

Message #80 received at 650601@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: <650601@bugs.debian.org>, Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 11:21:36 +0000
On 22.03.2012 11:00, Aníbal Monsalve Salazar wrote:
> The message above is part of a discussion in the libpng development
> mailing list about the *lack* of security of libpng 1.2, after the 
> last
> vulnerability was discovered by the chrome folks.
>
> For more details see
> http://sourceforge.net/mailarchive/message.php?msg_id=28856022
>
> So, the message is to move away from libpng 1.2 in Debian as soon as 
> we
> can.

In that case, maybe someone could address some of the issues we raised 
when the transition was first proposed?  e.g. the "requirement" for 
changing the development page name and thus needing otherwise 
unneccessary source uploads of a bunch of packages, the huge number of 
known FTBFS issues.

We don't just not start transitions for our own amusement, and the 
implication that the transition is primarily being blocked from our side 
is not really appreciated.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 11:45:07 GMT) Full text and rfc822 format available.

Message #85 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: anibal@debian.org, 650601@bugs.debian.org, Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 22:44:11 +1100
On Thu, Mar 22, 2012 at 11:21:36AM +0000, Adam D. Barratt wrote:
>We don't just not start transitions for our own amusement, and the
>implication that the transition is primarily being blocked from our
>side is not really appreciated.

I would like to apologise.  It wasn't my intention to imply that. We
know the realease team does a great job. I just wanted to let you know
that the upstream developers don't want distros to use libpng 1.2 for
its lack of security.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 11:54:04 GMT) Full text and rfc822 format available.

Message #90 received at 650601@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: <650601@bugs.debian.org>, Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 11:51:24 +0000
On 22.03.2012 11:44, Aníbal Monsalve Salazar wrote:
> On Thu, Mar 22, 2012 at 11:21:36AM +0000, Adam D. Barratt wrote:
>>We don't just not start transitions for our own amusement, and the
>>implication that the transition is primarily being blocked from our
>>side is not really appreciated.
>
> I would like to apologise.  It wasn't my intention to imply that. We
> know the realease team does a great job. I just wanted to let you 
> know
> that the upstream developers don't want distros to use libpng 1.2 for
> its lack of security.

Thanks, that's appreciated.  I could probably have worded my message a 
little better; apologies for that.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 12:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 12:03:46 GMT) Full text and rfc822 format available.

Message #95 received at 650601@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <650601@bugs.debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#650601: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 11:58:21 +0000
On 22.03.2012 11:21, Adam D. Barratt wrote:
> On 22.03.2012 11:00, Aníbal Monsalve Salazar wrote:
>> So, the message is to move away from libpng 1.2 in Debian as soon as 
>> we
>> can.
>
> In that case, maybe someone could address some of the issues we
> raised when the transition was first proposed?  e.g. the 
> "requirement"
> for changing the development page name and thus needing otherwise
> unneccessary source uploads of a bunch of packages

As a concrete example, running "dak rm -b libpng12-dev" on ftp-master a 
short while ago suggests that there are currently over two hundred 
source packages in unstable with a build-dependency either on 
"libpng12{,-0}-dev" with no alternative or with the 1.2 package as the 
first in an alternative list.  If the libpng 1.5 packages from 
experimental were to transition to unstable right now, we'd be unable to 
binNMU any of those packages; they would all require source uploads to 
change the build-dependency.  It may be that some of these can be 
explained by multiple source versions where the newer source has 
migrated to use libpng-dev, but I suspect those are a minority.

fwiw, there are also still six packages in unstable with libpng3-dev as 
the only png-related build dependency.  It may be that those packages 
have other issues, fo course.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 12:24:11 GMT) Full text and rfc822 format available.

Message #100 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 650601@bugs.debian.org, Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#650601: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 23:19:08 +1100
On Thu, Mar 22, 2012 at 11:58:21AM +0000, Adam D. Barratt wrote:
>On 22.03.2012 11:21, Adam D. Barratt wrote:
>>On 22.03.2012 11:00, Aníbal Monsalve Salazar wrote:
>>>So, the message is to move away from libpng 1.2 in Debian as
>>>soon as we can.
>>
>>In that case, maybe someone could address some of the issues we
>>raised when the transition was first proposed?  e.g. the
>>"requirement" or changing the development page name and thus
>>needing otherwise unneccessary source uploads of a bunch of
>>packages
>
>As a concrete example, running "dak rm -b libpng12-dev" on
>ftp-master a short while ago suggests that there are currently over
>two hundred source packages in unstable with a build-dependency
>either on "libpng12{,-0}-dev" with no alternative or with the 1.2
>package as the first in an alternative list.  If the libpng 1.5
>packages from experimental were to transition to unstable right now,
>we'd be unable to binNMU any of those packages; they would all
>require source uploads to change the build-dependency.  It may be
>that some of these can be explained by multiple source versions
>where the newer source has migrated to use libpng-dev, but I suspect
>those are a minority.
>
>fwiw, there are also still six packages in unstable with libpng3-dev
>as the only png-related build dependency.  It may be that those
>packages have other issues, fo course.

libpng3-dev is an empty package that hasn't been removed yet, but can be
kept if you wish so. It was requiered for a previous transition. We
could make empty packages "libpng12{,-0}-dev" depending on libpng15-15
and libpng-dev respectively.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 12:40:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 12:40:45 GMT) Full text and rfc822 format available.

Message #105 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 650601@bugs.debian.org, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#650601: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 13:21:14 +0100
On Thu, Mar 22, 2012 at 23:19:08 +1100, Aníbal Monsalve Salazar wrote:

> libpng3-dev is an empty package that hasn't been removed yet, but can be
> kept if you wish so. It was requiered for a previous transition. We
> could make empty packages "libpng12{,-0}-dev" depending on libpng15-15
> and libpng-dev respectively.
> 
I hope this is a joke.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 12:43:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 12:43:11 GMT) Full text and rfc822 format available.

Message #110 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: 650601@bugs.debian.org
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, Tobias Hansen <tobias.han@gmx.de>, Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#650601: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 23:34:18 +1100
On Thu, Mar 22, 2012 at 11:19:08PM +1100, Aníbal Monsalve Salazar wrote:
>On Thu, Mar 22, 2012 at 11:58:21AM +0000, Adam D. Barratt wrote:
>>On 22.03.2012 11:21, Adam D. Barratt wrote:
>>>On 22.03.2012 11:00, Aníbal Monsalve Salazar wrote:
>>>>So, the message is to move away from libpng 1.2 in Debian as
>>>>soon as we can.
>>>
>>>In that case, maybe someone could address some of the issues we
>>>raised when the transition was first proposed?  e.g. the
>>>"requirement" or changing the development page name and thus
>>>needing otherwise unneccessary source uploads of a bunch of
>>>packages
>>
>>As a concrete example, running "dak rm -b libpng12-dev" on
>>ftp-master a short while ago suggests that there are currently over
>>two hundred source packages in unstable with a build-dependency
>>either on "libpng12{,-0}-dev" with no alternative or with the 1.2
>>package as the first in an alternative list.  If the libpng 1.5
>>packages from experimental were to transition to unstable right now,
>>we'd be unable to binNMU any of those packages; they would all
>>require source uploads to change the build-dependency.  It may be
>>that some of these can be explained by multiple source versions
>>where the newer source has migrated to use libpng-dev, but I suspect
>>those are a minority.
>>
>>fwiw, there are also still six packages in unstable with libpng3-dev
>>as the only png-related build dependency.  It may be that those
>>packages have other issues, fo course.
>
>libpng3-dev is an empty package that hasn't been removed yet, but can be
>kept if you wish so. It was requiered for a previous transition. We
>could make empty packages "libpng12{,-0}-dev" depending on libpng15-15
>and libpng-dev respectively.

libpng3-dev doesn't exist in Debian.

libpng3 depends on libpng12-0 (>= 1.2.5.0-2) currently. It's empty in
the sense that it only has symbolic links to the shared library in
libpng12-0.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 22 Mar 2012 12:43:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 22 Mar 2012 12:43:24 GMT) Full text and rfc822 format available.

Message #115 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Julien Cristau <julien@cristau.org>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 650601@bugs.debian.org, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Moritz Muehlenhoff <jmm@debian.org>
Subject: Re: Bug#650601: [png-mng-implement] Lack of security in libpng 1.2
Date: Thu, 22 Mar 2012 23:41:20 +1100
On Thu, Mar 22, 2012 at 01:21:14PM +0100, Julien Cristau wrote:
>I hope this is a joke.

Emtpy in the sense that they are not the real thing. They will have a
bunch of symbolic links in them to files/directories in other packages.




Reply sent to NIIBE Yutaka <gniibe@fsij.org>:
You have taken responsibility. (Thu, 29 Mar 2012 07:27:20 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Bug acknowledged by developer. (Thu, 29 Mar 2012 07:27:20 GMT) Full text and rfc822 format available.

Message #120 received at 650601-close@bugs.debian.org (full text, mbox):

From: NIIBE Yutaka <gniibe@fsij.org>
To: 650601-close@bugs.debian.org
Subject: Bug#650601: fixed in qrencode 3.2.0-1
Date: Thu, 29 Mar 2012 07:24:46 +0000
Source: qrencode
Source-Version: 3.2.0-1

We believe that the bug you reported is fixed in the latest version of
qrencode, which is due to be installed in the Debian FTP archive:

libqrencode-dev_3.2.0-1_amd64.deb
  to main/q/qrencode/libqrencode-dev_3.2.0-1_amd64.deb
libqrencode3_3.2.0-1_amd64.deb
  to main/q/qrencode/libqrencode3_3.2.0-1_amd64.deb
qrencode_3.2.0-1.diff.gz
  to main/q/qrencode/qrencode_3.2.0-1.diff.gz
qrencode_3.2.0-1.dsc
  to main/q/qrencode/qrencode_3.2.0-1.dsc
qrencode_3.2.0-1_amd64.deb
  to main/q/qrencode/qrencode_3.2.0-1_amd64.deb
qrencode_3.2.0.orig.tar.gz
  to main/q/qrencode/qrencode_3.2.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650601@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
NIIBE Yutaka <gniibe@fsij.org> (supplier of updated qrencode package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 29 Mar 2012 14:34:17 +0900
Source: qrencode
Binary: qrencode libqrencode3 libqrencode-dev
Architecture: source amd64
Version: 3.2.0-1
Distribution: unstable
Urgency: low
Maintainer: NIIBE Yutaka <gniibe@fsij.org>
Changed-By: NIIBE Yutaka <gniibe@fsij.org>
Description: 
 libqrencode-dev - QR Code encoding library -- development
 libqrencode3 - QR Code encoding library
 qrencode   - QR Code encoder into PNG image
Closes: 604882 637344 641893 650601
Changes: 
 qrencode (3.2.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Linking libpng has been changed (Closes: #641893).
     - '\0' is supported (Closes: #604882).
   * debian/control (Build-Depends): Change libpng-dev (was: libpng12-dev).
     (Closes: #650601).  Thanks to Nobuhiro Iwamatsu.
   * debian/control (Build-Depends): Require debhelper >= 9.
   * debian/compat: Require 9.
   * debian/dirs, debian/libqrencode3.dirs, debian/libqrencode-dev.dirs: Remove.
   * debian/copyright: Write in the format of copyright-format 1.0.
   * debian/rules: as simple as possible.
     (override_dh_auto_configure): Support --with-tests.
     (override_dh_auto_test): Run tests.
     Thanks to Felix Geyer (Closes: #637344).
   * debian/libqrencode3.install, libqrencode-dev.install: Support Multiarch.
   * debian/control (libqrencode3 Pre-Depends): Add multiarch-support.
Checksums-Sha1: 
 2a57cb66683ae334aa2eeda00097b2dc7c40e27a 1506 qrencode_3.2.0-1.dsc
 306bf4725bf833e8281b302ffe1083f8a40a4232 430317 qrencode_3.2.0.orig.tar.gz
 c6a7b1df6ea59d689482babc063a56af985254f4 26341 qrencode_3.2.0-1.diff.gz
 459bd3746f5f037afd532e0650c918f4286f5d30 23658 qrencode_3.2.0-1_amd64.deb
 6f13e668bfdec214128f38c3489a5f9660b070db 34886 libqrencode3_3.2.0-1_amd64.deb
 57c745002ffa0fc4ac8449d625d0a4ebabc657b6 15442 libqrencode-dev_3.2.0-1_amd64.deb
Checksums-Sha256: 
 4b1691fcc2eadb8fd6e7bc1a3288a87c4aa30114a9f884d12ab3b69be6ed129c 1506 qrencode_3.2.0-1.dsc
 fc135090f9c92a8a1cab581216e1cf2446b7958845cf98f2e03e5eee6fba9630 430317 qrencode_3.2.0.orig.tar.gz
 3231f040b36aa8e3b72ce4f1c1abbd19824cbb5514febc173d0c2e660e8c2f0a 26341 qrencode_3.2.0-1.diff.gz
 7e934161213c9fffab626f46e7c7a61603ccb7c966e75bce04528f29a68b24dd 23658 qrencode_3.2.0-1_amd64.deb
 115f1317a5678bc6901af828f043d65ee2d9e35bb6247819d3c9c270c2ff4f0b 34886 libqrencode3_3.2.0-1_amd64.deb
 cc81830140485c72fa88601c39942772deac67a8dd1aa906620af1327cd7c87f 15442 libqrencode-dev_3.2.0-1_amd64.deb
Files: 
 f8366305177633b937598d85eab453fb 1506 libs optional qrencode_3.2.0-1.dsc
 28727b3b20790314fb03fb1c0bf9002f 430317 libs optional qrencode_3.2.0.orig.tar.gz
 a427fdd03637928eebe541db66764595 26341 libs optional qrencode_3.2.0-1.diff.gz
 89483727e6feea8c67293f54f65319d4 23658 utils optional qrencode_3.2.0-1_amd64.deb
 6db41d5759c6a4e9bd2f51a3d9649b35 34886 libs optional libqrencode3_3.2.0-1_amd64.deb
 69060ccc3ab3418db64185a6e6a74b39 15442 libdevel optional libqrencode-dev_3.2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJPdAq5AAoJEAC0Xr1Mp7q+NdEH/Rlfpm640+B9bJghCvMa0la0
XBEc6ySeE1wR+mQIpMK/+Jye5Li4WhSFSQM7w2/v9aWb4lMVJ+dDh3CJo1B9hBA1
4JXh7kpF0mPAquw/BOu23oB0uDq5RmTsJ0hMsQbuJVgih9NjodJb369LnRj7ymvl
GHZVRhKDP4a68E5kcC7b37pVzH/rd4UvtScRhdNR0Ibw0FiEDZPne5UZb3NJlgxJ
cNl6QMDSJ7Nb+qNpSQSmbQ9hR2P5AanqPXQ44rI4KyHTU3vWoqcHJ3Nil0p5ToHU
sJiPwCLFNLD3b7cBSxL8b2vK7fmYpyCnOwFMveulHvdy/mKwb4oVEL4R0Z1AbWc=
=EMFR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 29 Mar 2012 07:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 29 Mar 2012 07:57:13 GMT) Full text and rfc822 format available.

Message #125 received at 650601@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: NIIBE Yutaka <gniibe@fsij.org>
Cc: <650601@bugs.debian.org>
Subject: Re: Bug#650601: marked as done (transition: libpng 1.5)
Date: Thu, 29 Mar 2012 08:56:42 +0100
reopen 650601
thanks

On 29.03.2012 08:27, owner@bugs.debian.org wrote:
> Your message dated Thu, 29 Mar 2012 07:24:46 +0000
> with message-id <E1SD9iw-00055Y-Nk@franck.debian.org>
> and subject line Bug#650601: fixed in qrencode 3.2.0-1
> has caused the Debian Bug report #650601,
> regarding transition: libpng 1.5
> to be marked as done.

#650601 is a release.debian.org tracking bug, not something that should 
be being closed with your upload.  Was there some other bug you meant to 
close instead>

Regards,

Adam




Bug reopened Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 29 Mar 2012 07:57:16 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions qrencode/3.2.0-1. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Thu, 29 Mar 2012 07:57:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 03 Apr 2012 23:36:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Apr 2012 23:36:49 GMT) Full text and rfc822 format available.

Message #134 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Wed, 4 Apr 2012 08:15:56 +0900
Hi, Michael.

Sorry, reply was late, and thanks for your comment.

2012/3/5 Michael Biebl <biebl@debian.org>:
> On 25.02.2012 21:22, Cyril Brulebois wrote:
>> Adam D. Barratt <adam@adam-barratt.org.uk> (05/12/2011):
>>> On Mon, 2011-12-05 at 16:34 +0900, Nobuhiro Iwamatsu wrote:
>>>> First, we had better upload libpng15, after changing libpng12-dev
>>>> into libpng-dev.  Surely, I think that this method is easy for
>>>> shift.
>>>
>>> We appear to have different definitions of "easy".  Anything that
>>> involves changes to and uploads of over 300 packages is not what the
>>> release team classifies as easy.
>>
>> I set up a tracker in the meanwhile:
>>   http://release.debian.org/transitions/html/libpng1.5.html
>>
>> and it doesn't qualify as “easy” by my standards either.
>
>
> Seems there has been a MBF regarding changing the build-depedency from
> libpng12-dev to libpng-dev.
> Reading through #650601 and seeing the amount of packages affected, I
> think the proposed plan is not good for several reasons.
> a/ virtual provides can't safisfy versioned dependencies
> b/ switching blindly from libpng12-dev to libpng-dev doesn't mean the
> package will actually build against libpng15
> c/ testing migration will be a night mare.
>
> What about the following:
> - Make libpng12 and libpng15 co-installable, by using different source
> package names, e.g. src:libpng and src:libpng15
> - src:libpng12 builds libpng12-dev, src:libpng15 builds libpng15-dev
> - upload *both* packages to unstable
> - src:libpng12 builds a real package libpng-dev, which depends on
> libpng12-dev (with a strict dep), this way versioned build-depends can
> be satisfied.
> - let both packages migrate to testing
> - tell maintainers to test their packages against libpng15, and do the
> following:
>   1/ if it builds against both libpng12 and libpng15, change the b-dep
> to libpng-dev
>   2/ if it needs updates for libpng15 and the change is not backwards
> compatible, b-depend on libpng15-dev
> - when all packages have been updated to depend on either libpng-dev or
> libpng15-dev, make src:libpng15 build libpng-dev and make it depend on
> libpng15-dev and binNMU the remaining lot.
>
> This way, we don't need to start a huge transition, which has the
> potential to block other transitions due to testing migration.
>
>
> How does that sound?

I understood all it.
I am working about this with Anibal. We will upload libpng1.5 this week.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 03 Apr 2012 23:36:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Apr 2012 23:36:51 GMT) Full text and rfc822 format available.

Message #139 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Tobias Hansen <tobias.han@gmx.de>
Cc: Julien Cristau <jcristau@debian.org>, Michael Biebl <biebl@debian.org>, 650601@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Re: Bug#650601: transition: libpng 1.5
Date: Wed, 4 Apr 2012 08:17:29 +0900
Hi, Tobias.

Thanks for your comment.

2012/3/20 Tobias Hansen <tobias.han@gmx.de>:
> Am -10.01.-28163 20:59, schrieb Julien Cristau:
>> On Mon, Mar  5, 2012 at 07:33:34 +0100, Michael Biebl wrote:
>>
>>> How does that sound?
>>>
>> I'd rather get as many "FTBFS against libpng 1.5" bugs as possible fixed
>> now.  Then after wheezy make the actual switch.
>>
>> Cheers,
>> Julien
>
> Is that the current plan now or is there still the chance of a
> co-installable libpng15-dev in wheezy? I'm working on packaging
> something that needs libpng 1.5 and I would like to know if it has to be
> patched to work with libpng 1.2.
>

Yes, libopng maintainers will upload libpng1.5 and libpng1.2 to
unstable on this week.

Best regards,
  Nobuhiro


-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 03 Apr 2012 23:42:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 03 Apr 2012 23:42:40 GMT) Full text and rfc822 format available.

Message #144 received at 650601@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: Cyril Brulebois <kibi@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: transition: libpng 1.5
Date: Wed, 04 Apr 2012 01:37:58 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am 04.04.2012 01:15, schrieb Nobuhiro Iwamatsu:

> I am working about this with Anibal. We will upload libpng1.5 this week.

Please keep in mind that I'm not a member of the release team.

So please wait for an ack from the release team before making any
uploads to unstable.

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Wed, 04 Apr 2012 18:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 04 Apr 2012 18:57:07 GMT) Full text and rfc822 format available.

Message #149 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, 650601@bugs.debian.org, Cyril Brulebois <kibi@debian.org>
Subject: Re: Re: Bug#650601: transition: libpng 1.5
Date: Wed, 4 Apr 2012 20:52:53 +0200
[Message part 1 (text/plain, inline)]
On Wed, Apr  4, 2012 at 08:17:29 +0900, Nobuhiro Iwamatsu wrote:

> Yes, libopng maintainers will upload libpng1.5 and libpng1.2 to
> unstable on this week.
> 
What?  At least I don't want another copy of libpng in wheezy without a
plan to get rid of the other one.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 19 Apr 2012 07:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 19 Apr 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #154 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Julien Cristau <jcristau@debian.org>, 650601@bugs.debian.org
Cc: Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Thu, 19 Apr 2012 16:01:28 +0900
2012/4/5 Julien Cristau <jcristau@debian.org>:
> On Wed, Apr  4, 2012 at 08:17:29 +0900, Nobuhiro Iwamatsu wrote:
>
>> Yes, libopng maintainers will upload libpng1.5 and libpng1.2 to
>> unstable on this week.
>>
> What?  At least I don't want another copy of libpng in wheezy without a
> plan to get rid of the other one.
>

However, when libpng15 is installed in unstable instead of libpng12,
it will be in
 the state where many packages depending on libpng12 do not operate.
Is the way which enabled it to install libpng12 and libpng15
simultaneously safety?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 19 Apr 2012 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <julien@cristau.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 19 Apr 2012 08:27:03 GMT) Full text and rfc822 format available.

Message #159 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <julien@cristau.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Thu, 19 Apr 2012 10:25:49 +0200
On Thu, Apr 19, 2012 at 16:01:28 +0900, Nobuhiro Iwamatsu wrote:

> However, when libpng15 is installed in unstable instead of libpng12,
> it will be in
>  the state where many packages depending on libpng12 do not operate.
> Is the way which enabled it to install libpng12 and libpng15
> simultaneously safety?
> 
FWIW I don't understand what the above is supposed to mean, I can't
even parse those sentences.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 21 May 2012 04:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 04:51:02 GMT) Full text and rfc822 format available.

Message #164 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Julien Cristau <julien@cristau.org>
Cc: 650601@bugs.debian.org, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 21 May 2012 13:48:55 +0900
Hi,

I misunderstood.
I am working with Anibal about package which supports libpng12 and 15 both.
This already upload to experimental.

Best regards,
  Nobuhiro

2012/4/19 Julien Cristau <julien@cristau.org>:
> On Thu, Apr 19, 2012 at 16:01:28 +0900, Nobuhiro Iwamatsu wrote:
>
>> However, when libpng15 is installed in unstable instead of libpng12,
>> it will be in
>>  the state where many packages depending on libpng12 do not operate.
>> Is the way which enabled it to install libpng12 and libpng15
>> simultaneously safety?
>>
> FWIW I don't understand what the above is supposed to mean, I can't
> even parse those sentences.
>
> Cheers,
> Julien



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 21 May 2012 05:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 05:36:03 GMT) Full text and rfc822 format available.

Message #169 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Julien Cristau <julien@cristau.org>, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Mon, 21 May 2012 15:33:07 +1000
On Mon, May 21, 2012 at 01:48:55PM +0900, Nobuhiro Iwamatsu wrote:
>I am working with Anibal about package which supports libpng12 and 15 both.
>This already upload to experimental.

Hello,

Please review libpng/1.5.10-3 in experimental.

I've built lots of packages to test a smooth transition to libpng 1.5
using libpng/1.5.10-3 on my ia64 machine.

Upstream is very responsive and both Nobuhiro and myself will help
package maintainers with this transition.

Thank you,

Aníbal




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 21 May 2012 12:42:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 May 2012 12:42:39 GMT) Full text and rfc822 format available.

Message #174 received at 650601@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: 673542@bugs.debian.org, 650601@bugs.debian.org
Subject: libpng12-0 in experimental breaks its rdeps
Date: Mon, 21 May 2012 07:15:35 -0500
# warning users of apt-listbugs, to reduce noise
# luckily this only affects the package experimental, so this
# severity bump should have no effect on testing migration etc
severity 673542 serious
quit

Hi,

Aníbal Monsalve Salazar wrote:

> severity 673542 important
[...]
> The libpng transition hasn't started yet. Please refer to the webpage
> above. It will involve hundreds of binary packages.

	$ vim
	vim: /usr/lib/i386-linux-gnu/libpng12.so.0: version `PNG12_0' not found (required by /usr/lib/i386-linux-gnu/libcairo.so.2)

Regardless of whether the transition has started, doesn't this kind of
thing (removal of symbol versions) require a soname bump?

Thanks for your work,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 22 May 2012 12:36:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 22 May 2012 12:36:22 GMT) Full text and rfc822 format available.

Message #179 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Julien Cristau <julien@cristau.org>, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Tue, 22 May 2012 14:27:03 +0200
On Mon, May 21, 2012 at 15:33:07 +1000, Aníbal Monsalve Salazar wrote:

> On Mon, May 21, 2012 at 01:48:55PM +0900, Nobuhiro Iwamatsu wrote:
> >I am working with Anibal about package which supports libpng12 and 15 both.
> >This already upload to experimental.
> 
> Hello,
> 
> Please review libpng/1.5.10-3 in experimental.
> 
> I've built lots of packages to test a smooth transition to libpng 1.5
> using libpng/1.5.10-3 on my ia64 machine.
> 
> Upstream is very responsive and both Nobuhiro and myself will help
> package maintainers with this transition.
> 
I will take a look post wheezy.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 28 May 2012 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 28 May 2012 11:30:08 GMT) Full text and rfc822 format available.

Message #184 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 650601@bugs.debian.org
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, 673542@bugs.debian.org
Subject: Re: Bug#650601: libpng12-0 in experimental breaks its rdeps
Date: Mon, 28 May 2012 13:27:27 +0200
[Message part 1 (text/plain, inline)]
On Mon, May 21, 2012 at 07:15:35 -0500, Jonathan Nieder wrote:

> # warning users of apt-listbugs, to reduce noise
> # luckily this only affects the package experimental, so this
> # severity bump should have no effect on testing migration etc
> severity 673542 serious
> quit
> 
> Hi,
> 
> Aníbal Monsalve Salazar wrote:
> 
> > severity 673542 important
> [...]
> > The libpng transition hasn't started yet. Please refer to the webpage
> > above. It will involve hundreds of binary packages.
> 
> 	$ vim
> 	vim: /usr/lib/i386-linux-gnu/libpng12.so.0: version `PNG12_0' not found (required by /usr/lib/i386-linux-gnu/libcairo.so.2)
> 
> Regardless of whether the transition has started, doesn't this kind of
> thing (removal of symbol versions) require a soname bump?
> 
It very much does.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 26 Jun 2012 23:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 26 Jun 2012 23:48:02 GMT) Full text and rfc822 format available.

Message #189 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Wed, 27 Jun 2012 08:45:03 +0900
Hi,

I am still correcting FTBFS.
However, almost packages can shift to libpng 1.5.
May I upload libpng 1.5 to unstable?

http://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=libpng15-transition;users=libpng@packages.debian.org

Best regards,
  Nobuhiro

2012/5/22 Julien Cristau <jcristau@debian.org>:
> On Mon, May 21, 2012 at 15:33:07 +1000, Aníbal Monsalve Salazar wrote:
>
>> On Mon, May 21, 2012 at 01:48:55PM +0900, Nobuhiro Iwamatsu wrote:
>> >I am working with Anibal about package which supports libpng12 and 15 both.
>> >This already upload to experimental.
>>
>> Hello,
>>
>> Please review libpng/1.5.10-3 in experimental.
>>
>> I've built lots of packages to test a smooth transition to libpng 1.5
>> using libpng/1.5.10-3 on my ia64 machine.
>>
>> Upstream is very responsive and both Nobuhiro and myself will help
>> package maintainers with this transition.
>>
> I will take a look post wheezy.
>
> Cheers,
> Julien



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Added indication that bug 650601 blocks 649973 Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 05:18:04 GMT) Full text and rfc822 format available.

Added indication that bug 650601 blocks 649556 Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Wed, 27 Jun 2012 05:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Wed, 27 Jun 2012 12:33:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 27 Jun 2012 12:33:43 GMT) Full text and rfc822 format available.

Message #198 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Wed, 27 Jun 2012 14:32:04 +0200
[Message part 1 (text/plain, inline)]
On Wed, Jun 27, 2012 at 08:45:03 +0900, Nobuhiro Iwamatsu wrote:

> Hi,
> 
> I am still correcting FTBFS.
> However, almost packages can shift to libpng 1.5.
> May I upload libpng 1.5 to unstable?
> 
Absolutely not.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 29 Jun 2012 05:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 29 Jun 2012 05:48:03 GMT) Full text and rfc822 format available.

Message #203 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>, 650601@bugs.debian.org
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Fri, 29 Jun 2012 14:45:14 +0900
Hi,

2012/6/27 Julien Cristau <jcristau@debian.org>:
> On Wed, Jun 27, 2012 at 08:45:03 +0900, Nobuhiro Iwamatsu wrote:
>
>> Hi,
>>
>> I am still correcting FTBFS.
>> However, almost packages can shift to libpng 1.5.
>> May I upload libpng 1.5 to unstable?
>>
> Absolutely not.

OK. Does that already mean that it is too late in wheezy?

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 29 Jun 2012 09:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 29 Jun 2012 09:45:24 GMT) Full text and rfc822 format available.

Message #208 received at 650601@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>, 650601@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Aníbal Monsalve Salazar <anibal@debian.org>, Tobias Hansen <tobias.han@gmx.de>, Michael Biebl <biebl@debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#650601: Re: Bug#650601: transition: libpng 1.5
Date: Fri, 29 Jun 2012 10:44:01 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jun 29, 2012 at 02:45:14PM +0900, Nobuhiro Iwamatsu wrote:
> 2012/6/27 Julien Cristau <jcristau@debian.org>:
> > On Wed, Jun 27, 2012 at 08:45:03 +0900, Nobuhiro Iwamatsu wrote:
> >
> >> Hi,
> >>
> >> I am still correcting FTBFS.
> >> However, almost packages can shift to libpng 1.5.
> >> May I upload libpng 1.5 to unstable?
> >>
> > Absolutely not.
> 
> OK. Does that already mean that it is too late in wheezy?
> 

Yes, I'm afraid so.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2012 23:21:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://release.debian.org/transitions/html/libpng1.5.html'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 05 May 2013 21:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sat, 03 Aug 2013 12:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gianfranco Costamagna <costamagnagianfranco@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Sat, 03 Aug 2013 12:54:04 GMT) Full text and rfc822 format available.


Message #217 received at 650601@bugs.debian.org (full text, mbox):

From: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
To: "650601@bugs.debian.org" <650601@bugs.debian.org>
Date: Sat, 3 Aug 2013 13:51:58 +0100 (BST)
Hi Developers and release team.


Since libpng 1.5.11 is vulnerable to CVE-2012-3386 [1], fixed in 1.5.12 and 1.6.3, and that this transition hadn't hit wheezy, I would like to suggest you to change the transition directly to 1.6.3 instead of 1.5. 


[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3386

Gianfranco



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sat, 03 Aug 2013 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 03 Aug 2013 16:03:04 GMT) Full text and rfc822 format available.

Message #222 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>, 650601@bugs.debian.org
Subject: Re: Bug#650601: (no subject)
Date: Sat, 3 Aug 2013 18:00:54 +0200
[Message part 1 (text/plain, inline)]
On Sat, Aug  3, 2013 at 13:51:58 +0100, Gianfranco Costamagna wrote:

> Hi Developers and release team.
> 
> 
> Since libpng 1.5.11 is vulnerable to CVE-2012-3386 [1], fixed in 1.5.12 and 1.6.3, and that this transition hadn't hit wheezy, I would like to suggest you to change the transition directly to 1.6.3 instead of 1.5. 
> 
Not our call.  Somebody needs to get a not-completely-broken newer
libpng package in to experimental, then we can talk.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sun, 04 Aug 2013 22:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gianfranco Costamagna <costamagnagianfranco@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Aug 2013 22:00:04 GMT) Full text and rfc822 format available.

Message #227 received at 650601@bugs.debian.org (full text, mbox):

From: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
To: Julien Cristau <jcristau@debian.org>, "650601@bugs.debian.org" <650601@bugs.debian.org>
Subject: Re: Bug#650601: (no subject)
Date: Sun, 4 Aug 2013 22:57:34 +0100 (BST)
Hi Julien, thanks for the fast answer, I updated libpng, the package should be less broken than the previous one.

It is available in mentors, experimental suite.

Feel free to upload it.

I know it is still preliminar, but can be a good place for starting the transition

http://mentors.debian.net/package/libpng


I'll address some of the lintian warnings later, if needed.

thanks


Gianfranco



----- Messaggio originale -----
> Da: Julien Cristau <jcristau@debian.org>
> A: Gianfranco Costamagna <costamagnagianfranco@yahoo.it>; 650601@bugs.debian.org
> Cc: 
> Inviato: Sabato 3 Agosto 2013 18:00
> Oggetto: Re: Bug#650601: (no subject)
> 
> On Sat, Aug  3, 2013 at 13:51:58 +0100, Gianfranco Costamagna wrote:
> 
>>  Hi Developers and release team.
>> 
>> 
>>  Since libpng 1.5.11 is vulnerable to CVE-2012-3386 [1], fixed in 1.5.12 and 
> 1.6.3, and that this transition hadn't hit wheezy, I would like to suggest 
> you to change the transition directly to 1.6.3 instead of 1.5. 
>> 
> Not our call.  Somebody needs to get a not-completely-broken newer
> libpng package in to experimental, then we can talk.
> 
> Cheers,
> Julien
>



Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 11 Dec 2013 20:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 01:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 01:06:04 GMT) Full text and rfc822 format available.

Message #234 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: 650601@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@debian.org>, Aníbal Monsalve Salazar <anibal@debian.org>
Cc: debian-tex-maint@lists.debian.org
Subject: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 10:03:58 +0900
Dear Nobuhiro, dear Aníbal,

are there any plans for making the transition to libpng 1.5?
I have seen the posting about uploading to unstable back in
June 2012
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601#189
but since then wheezy was released and nothing happened.

I am getting stuck with TeX Live, since it *needs* libpng 1.4
or 1.5, and due to library hell (freetype, harfbuzz, graphite2,..)
the mixture of png12 and png15 breaks the programs:

*** xdvipdfmx --ebb picpng.png
libpng warning: Application was compiled with png.h from libpng-1.5.17
libpng warning: Application  is  running with png.c from libpng-1.2.49
libpng error: Incompatible libpng version in application and library

Please let me know what your plans are, because otherwise I will
make a temporary upload with *all* the libraries included
as copies, the only way to get it going.

Thanks a lot

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 01:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 01:27:05 GMT) Full text and rfc822 format available.

Message #239 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint@lists.debian.org
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 10:22:54 +0900
Hi, Norbert.

We re-start this transition with libpng1.6.
Previously, We tried to take a how to migrate directly from libpng15
to libpng12,
As pointed out from other developers, we have determined that this
method is difficult.
We are considering how to install at the same time libpng15 (libpng16)
and libong12, we are slowly migrating.

Now, I have create a package for libpng16[0]. And I am waiting for a
review of Anibal.
And  I am testing build with libpng16[1].

We think that it can provide more detailed information in the next week.

[0]: http://anonscm.debian.org/gitweb/?p=collab-maint/libpng1.6.git;a=summary
[1]: http://www.nigauri.org/~iwamatsu/debian/libpng-build-info/build1.html

Best regards,
  Nobuhiro

2013/12/20 Norbert Preining <preining@logic.at>:
> Dear Nobuhiro, dear Aníbal,
>
> are there any plans for making the transition to libpng 1.5?
> I have seen the posting about uploading to unstable back in
> June 2012
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650601#189
> but since then wheezy was released and nothing happened.
>
> I am getting stuck with TeX Live, since it *needs* libpng 1.4
> or 1.5, and due to library hell (freetype, harfbuzz, graphite2,..)
> the mixture of png12 and png15 breaks the programs:
>
> *** xdvipdfmx --ebb picpng.png
> libpng warning: Application was compiled with png.h from libpng-1.5.17
> libpng warning: Application  is  running with png.c from libpng-1.2.49
> libpng error: Incompatible libpng version in application and library
>
> Please let me know what your plans are, because otherwise I will
> make a temporary upload with *all* the libraries included
> as copies, the only way to get it going.
>
> Thanks a lot
>
> Norbert
>
> ------------------------------------------------------------------------
> PREINING, Norbert                               http://www.preining.info
> JAIST, Japan                                 TeX Live & Debian Developer
> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
> ------------------------------------------------------------------------



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 01:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 01:36:04 GMT) Full text and rfc822 format available.

Message #244 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint@lists.debian.org
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 10:32:25 +0900
Hi Nobuhiro,

thanks, that are good (and a bit bad) news.

> We re-start this transition with libpng1.6.

Ah, ok.

> And  I am testing build with libpng16[1].

I got information from our TeX Live build Guru Peter Breitenlohner
that libpng1.6 has some unresolved problems with certain png images.
I hope this will be fixed at some point.

> We think that it can provide more detailed information in the next week.

That is good news, so I can wait till after new year, and then target
a experimental upload.

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 01:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 01:39:04 GMT) Full text and rfc822 format available.

Message #249 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint@lists.debian.org
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 10:35:44 +0900
> > And  I am testing build with libpng16[1].

One more thing ... you seem not to have a pristinetar branch in 
your git repository, and so there is no way I can build the package
with git-buildpackage. I guess that is on purpose?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 02:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 02:00:05 GMT) Full text and rfc822 format available.

Message #254 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 10:55:33 +0900
Hi, Norbert.

2013/12/20 Norbert Preining <preining@logic.at>:
> Hi Nobuhiro,
>
> thanks, that are good (and a bit bad) news.
>
>> We re-start this transition with libpng1.6.
>
> Ah, ok.
>
>> And  I am testing build with libpng16[1].
>
> I got information from our TeX Live build Guru Peter Breitenlohner
> that libpng1.6 has some unresolved problems with certain png images.
> I hope this will be fixed at some point.
>

I see. Thanks for your infomation.

>> We think that it can provide more detailed information in the next week.
>
> That is good news, so I can wait till after new year, and then target
> a experimental upload.

Thanks.
I am sorry this work is delayed.

Best regards,
  Nobuhiro
-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 02:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 02:00:08 GMT) Full text and rfc822 format available.

Message #259 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint@lists.debian.org
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 10:58:05 +0900
Hi, again.

I imported tar.xz image and pushed pristinetar branch.
By this push, tag was changed.
Could you re-clone or pull after remove upstream/1.6.7 tag ?

Best regads,
  Nobuhiro


2013/12/20 Norbert Preining <preining@logic.at>:
>> > And  I am testing build with libpng16[1].
>
> One more thing ... you seem not to have a pristinetar branch in
> your git repository, and so there is no way I can build the package
> with git-buildpackage. I guess that is on purpose?
>
> Norbert
>
> ------------------------------------------------------------------------
> PREINING, Norbert                               http://www.preining.info
> JAIST, Japan                                 TeX Live & Debian Developer
> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
> ------------------------------------------------------------------------



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 02:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 02:09:04 GMT) Full text and rfc822 format available.

Message #264 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint@lists.debian.org
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 11:07:21 +0900
On Fr, 20 Dez 2013, Nobuhiro Iwamatsu wrote:
> Could you re-clone or pull after remove upstream/1.6.7 tag ?

Thanks, recloned, retested, worked perfectly.

I build and tried to install it, but that does not work.
Too many -dev packages still depend on 1.2 and thus I cannot
go ahead until all the other libraries are updated. 

If you need any help with the transition, I will gladly help

Thanks a lot

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Fri, 20 Dec 2013 04:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Dec 2013 04:51:05 GMT) Full text and rfc822 format available.

Message #269 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: libpng transition and how to deal with embedded copies
Date: Fri, 20 Dec 2013 13:48:50 +0900
Hi,

2013/12/20 Norbert Preining <preining@logic.at>:
> On Fr, 20 Dez 2013, Nobuhiro Iwamatsu wrote:
>> Could you re-clone or pull after remove upstream/1.6.7 tag ?
>
> Thanks, recloned, retested, worked perfectly.
>
> I build and tried to install it, but that does not work.
> Too many -dev packages still depend on 1.2 and thus I cannot
> go ahead until all the other libraries are updated.

Yes, because we do not start yet transidion. And libpng16-dev does not
have a setting
that provides as libpng-dev yet. We will when the transition to
lbpng16 is permitted, to remove
libpng-dev from libpgn12-dev, is set to libpgn16-dev.
And there are many packages that depend on libpng12-dev instead of
libpng-dev yet.
This is also probably one of the causes an error occurs.
I have a bug related to this in most packages.

>
> If you need any help with the transition, I will gladly help

Thank you. If we need help, is not only you, we will ask for help to
many developers.
>
> Thanks a lot
>

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 06 Jan 2014 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Jan 2014 22:15:04 GMT) Full text and rfc822 format available.

Message #274 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: libpng transition and how to deal with embedded copies
Date: Tue, 7 Jan 2014 07:12:50 +0900
Dear all,

> Yes, because we do not start yet transidion. And libpng16-dev does not

Are there any news about the libpng transition?

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sat, 11 Jan 2014 06:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 Jan 2014 06:18:04 GMT) Full text and rfc822 format available.

Message #279 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>, 650601@bugs.debian.org
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Sat, 11 Jan 2014 15:14:03 +0900
Hi,

I dont got reply form Anibal yet.
But I will upload to exeprimental after modifying the debian /
changelog, because I think that there is no issues with a package of
now.

Best regards,
  Nobuhiro

2014/1/7 Norbert Preining <preining@logic.at>:
> Dear all,
>
>> Yes, because we do not start yet transidion. And libpng16-dev does not
>
> Are there any news about the libpng transition?
>
> Norbert
>
> ------------------------------------------------------------------------
> PREINING, Norbert                               http://www.preining.info
> JAIST, Japan                                 TeX Live & Debian Developer
> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
> ------------------------------------------------------------------------
>
>
> --
> To UNSUBSCRIBE, email to debian-release-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20140106221250.GC25255@gamma.logic.tuwien.ac.at
>



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sat, 11 Jan 2014 10:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 Jan 2014 10:27:05 GMT) Full text and rfc822 format available.

Message #284 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: Norbert Preining <preining@logic.at>, 650601@bugs.debian.org, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Sat, 11 Jan 2014 21:23:22 +1100
[Message part 1 (text/plain, inline)]
On Sat, Jan 11, 2014 at 03:14:03PM +0900, Nobuhiro Iwamatsu wrote:
> 
> I dont got reply form Anibal yet.
> But I will upload to exeprimental after modifying the debian /
> changelog, because I think that there is no issues with a package of
> now.

Hello Nobuhiro and Norbert,

I've been busy attending LCA2014 (http://linux.conf.au/) and starting a
new job.

So, please go ahead.

Regards,

Aníbal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sat, 11 Jan 2014 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 11 Jan 2014 10:42:04 GMT) Full text and rfc822 format available.

Message #289 received at 650601@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: László Böszörményi <gcs@debian.org>
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Norbert Preining <preining@debian.org>, 650601@bugs.debian.org
Subject: Re: libpng update to 1.6.x
Date: Sat, 11 Jan 2014 21:38:22 +1100
[Message part 1 (text/plain, inline)]
On Thu, Jan 02, 2014 at 10:57:26AM +0100, László Böszörményi wrote:
> Hi Anibal,
> 
> I'm the new maintainer of GraphicsMagick. Upstream released 1.3.9 and
> I've packaged it. Still, its tests are failing due to libpng is older
> than the needed (at least) 1.5.11 in Debian. I realize that version
> was removed from experimental due to "package is fundamentally
> broken".
> Any plans to package libpng 1.6.8, would it need a transition? I can
> help if you need a helping hand. I would be more happy with an
> up-to-date libpng than disabling tests and risk malfunction of
> GraphicsMagick.
> 
> Regards,
> Laszlo/GCS

Please refer to #650601 at: http://bugs.debian.org/650601

Nobuhiro and Norbert are working on the libpng transition currently and
your help will also be appreciated.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 13 Jan 2014 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 13 Jan 2014 22:51:05 GMT) Full text and rfc822 format available.

Message #294 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Tue, 14 Jan 2014 07:45:28 +0900
On Sa, 11 Jan 2014, Nobuhiro Iwamatsu wrote:
> But I will upload to exeprimental after modifying the debian /
> changelog, because I think that there is no issues with a package of
> now.

Great, thanks, good to know. Please go ahead, I will run the new
texlive bin through it as soon as it is in experimental.


Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Tue, 14 Jan 2014 16:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 14 Jan 2014 16:00:04 GMT) Full text and rfc822 format available.

Message #299 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Wed, 15 Jan 2014 00:56:39 +0900
Hi, all.

I had a big mistake.
Source package was still "libpng".
We had to have this modified to use at the same time "libpng1.6" and
libpng (1.2).

I just pushed.
I will re-check and if any problem, I will upload.

Thanks!

Nobuhiro

2014/1/14 Norbert Preining <preining@logic.at>:
> On Sa, 11 Jan 2014, Nobuhiro Iwamatsu wrote:
>> But I will upload to exeprimental after modifying the debian /
>> changelog, because I think that there is no issues with a package of
>> now.
>
> Great, thanks, good to know. Please go ahead, I will run the new
> texlive bin through it as soon as it is in experimental.
>
>
> Norbert
>
> ------------------------------------------------------------------------
> PREINING, Norbert                               http://www.preining.info
> JAIST, Japan                                 TeX Live & Debian Developer
> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
> ------------------------------------------------------------------------



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Wed, 15 Jan 2014 00:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Jan 2014 00:33:14 GMT) Full text and rfc822 format available.

Message #304 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Wed, 15 Jan 2014 09:30:26 +0900
Hi, all.

I just uploaded libpng version 1.6 as libpng1.6.
It is in NEW Queue.

Best regards,
  Nobuhiro

2014/1/15 Nobuhiro Iwamatsu <iwamatsu@debian.org>:
> Hi, all.
>
> I had a big mistake.
> Source package was still "libpng".
> We had to have this modified to use at the same time "libpng1.6" and
> libpng (1.2).
>
> I just pushed.
> I will re-check and if any problem, I will upload.
>
> Thanks!
>
> Nobuhiro
>
> 2014/1/14 Norbert Preining <preining@logic.at>:
>> On Sa, 11 Jan 2014, Nobuhiro Iwamatsu wrote:
>>> But I will upload to exeprimental after modifying the debian /
>>> changelog, because I think that there is no issues with a package of
>>> now.
>>
>> Great, thanks, good to know. Please go ahead, I will run the new
>> texlive bin through it as soon as it is in experimental.
>>
>>
>> Norbert
>>
>> ------------------------------------------------------------------------
>> PREINING, Norbert                               http://www.preining.info
>> JAIST, Japan                                 TeX Live & Debian Developer
>> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
>> ------------------------------------------------------------------------
>
>
>
> --
> Nobuhiro Iwamatsu
>    iwamatsu at {nigauri.org / debian.org}
>    GPG ID: 40AD1FA6



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Wed, 15 Jan 2014 00:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 15 Jan 2014 00:36:05 GMT) Full text and rfc822 format available.

Message #309 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Wed, 15 Jan 2014 09:34:52 +0900
Hi, again.

I am packaging libpng 1.6.8 and upload soon.

Best regards,
  Nobuhiro

2014/1/15 Nobuhiro Iwamatsu <iwamatsu@debian.org>:
> Hi, all.
>
> I just uploaded libpng version 1.6 as libpng1.6.
> It is in NEW Queue.
>
> Best regards,
>   Nobuhiro
>
> 2014/1/15 Nobuhiro Iwamatsu <iwamatsu@debian.org>:
>> Hi, all.
>>
>> I had a big mistake.
>> Source package was still "libpng".
>> We had to have this modified to use at the same time "libpng1.6" and
>> libpng (1.2).
>>
>> I just pushed.
>> I will re-check and if any problem, I will upload.
>>
>> Thanks!
>>
>> Nobuhiro
>>
>> 2014/1/14 Norbert Preining <preining@logic.at>:
>>> On Sa, 11 Jan 2014, Nobuhiro Iwamatsu wrote:
>>>> But I will upload to exeprimental after modifying the debian /
>>>> changelog, because I think that there is no issues with a package of
>>>> now.
>>>
>>> Great, thanks, good to know. Please go ahead, I will run the new
>>> texlive bin through it as soon as it is in experimental.
>>>
>>>
>>> Norbert
>>>
>>> ------------------------------------------------------------------------
>>> PREINING, Norbert                               http://www.preining.info
>>> JAIST, Japan                                 TeX Live & Debian Developer
>>> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
>>> ------------------------------------------------------------------------
>>
>>
>>
>> --
>> Nobuhiro Iwamatsu
>>    iwamatsu at {nigauri.org / debian.org}
>>    GPG ID: 40AD1FA6
>
>
>
> --
> Nobuhiro Iwamatsu
>    iwamatsu at {nigauri.org / debian.org}
>    GPG ID: 40AD1FA6



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 16 Jan 2014 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Jan 2014 05:27:04 GMT) Full text and rfc822 format available.

Message #314 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Norbert Preining <preining@logic.at>, 650601@bugs.debian.org, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: Bug#650601: libpng transition and how to deal with embedded copies
Date: Thu, 16 Jan 2014 14:22:32 +0900
Hi, Anibal.

2014/1/11 Aníbal Monsalve Salazar <anibal@debian.org>:
> On Sat, Jan 11, 2014 at 03:14:03PM +0900, Nobuhiro Iwamatsu wrote:
>>
>> I dont got reply form Anibal yet.
>> But I will upload to exeprimental after modifying the debian /
>> changelog, because I think that there is no issues with a package of
>> now.
>
> Hello Nobuhiro and Norbert,
>
> I've been busy attending LCA2014 (http://linux.conf.au/) and starting a
> new job.
>

Cool! I'm thinking I want to go to LCA once.

> So, please go ahead.
>
> Regards,
>
> Aníbal

Thanks!
I changed source pakcage name from libpng to libpng1.6, and upload to
experimental.

Best regatrds,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 16 Jan 2014 13:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Jan 2014 13:45:08 GMT) Full text and rfc822 format available.

Message #319 received at 650601@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Norbert Preining <preining@debian.org>, 650601@bugs.debian.org
Subject: Re: libpng update to 1.6.x
Date: Thu, 16 Jan 2014 14:41:40 +0100
On Sat, Jan 11, 2014 at 11:38 AM, Aníbal Monsalve Salazar
<anibal@debian.org> wrote:
> On Thu, Jan 02, 2014 at 10:57:26AM +0100, László Böszörményi wrote:
>> Any plans to package libpng 1.6.8, would it need a transition? I can
>> help if you need a helping hand.
> Please refer to #650601 at: http://bugs.debian.org/650601
>
> Nobuhiro and Norbert are working on the libpng transition currently and
> your help will also be appreciated.
 Cool! May I get the package (either in source or Git format) that's
in the NEW queue?

Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Thu, 16 Jan 2014 23:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 16 Jan 2014 23:03:04 GMT) Full text and rfc822 format available.

Message #324 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Norbert Preining <preining@debian.org>, 650601@bugs.debian.org
Subject: Re: libpng update to 1.6.x
Date: Fri, 17 Jan 2014 07:59:55 +0900
Hi, László.

2014/1/16 László Böszörményi (GCS) <gcs@debian.org>:
> On Sat, Jan 11, 2014 at 11:38 AM, Aníbal Monsalve Salazar
> <anibal@debian.org> wrote:
>> On Thu, Jan 02, 2014 at 10:57:26AM +0100, László Böszörményi wrote:
>>> Any plans to package libpng 1.6.8, would it need a transition? I can
>>> help if you need a helping hand.
>> Please refer to #650601 at: http://bugs.debian.org/650601
>>
>> Nobuhiro and Norbert are working on the libpng transition currently and
>> your help will also be appreciated.
>  Cool! May I get the package (either in source or Git format) that's
> in the NEW queue?

I already upload to experimental. this is in NEW queue.
If you want to get source, you can get from
  http://anonscm.debian.org/gitweb/?p=collab-maint/libpng1.6.git;a=summary

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sun, 19 Jan 2014 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Jan 2014 20:45:05 GMT) Full text and rfc822 format available.

Message #329 received at 650601@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Norbert Preining <preining@debian.org>, 650601@bugs.debian.org
Subject: Re: libpng update to 1.6.x
Date: Sun, 19 Jan 2014 21:40:21 +0100
On Thu, Jan 16, 2014 at 11:59 PM, Nobuhiro Iwamatsu <iwamatsu@debian.org> wrote:
> 2014/1/16 László Böszörményi (GCS) <gcs@debian.org>:
>>  Cool! May I get the package (either in source or Git format) that's
>> in the NEW queue?
>
> I already upload to experimental. this is in NEW queue.
> If you want to get source, you can get from
>   http://anonscm.debian.org/gitweb/?p=collab-maint/libpng1.6.git;a=summary
 That was my intention to package 1.6.8 . Glad that you already done
it. Do you need co-maintainers?

Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sun, 19 Jan 2014 21:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 19 Jan 2014 21:30:04 GMT) Full text and rfc822 format available.

Message #334 received at 650601@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: László Böszörményi <gcs@debian.org>, 650601@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Aníbal Monsalve Salazar <anibal@debian.org>, Norbert Preining <preining@debian.org>
Subject: Re: Bug#650601: libpng update to 1.6.x
Date: Sun, 19 Jan 2014 22:27:34 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 19, 2014 at 21:40:21 +0100, László Böszörményi wrote:

> On Thu, Jan 16, 2014 at 11:59 PM, Nobuhiro Iwamatsu <iwamatsu@debian.org> wrote:
> > 2014/1/16 László Böszörményi (GCS) <gcs@debian.org>:
> >>  Cool! May I get the package (either in source or Git format) that's
> >> in the NEW queue?
> >
> > I already upload to experimental. this is in NEW queue.
> > If you want to get source, you can get from
> >   http://anonscm.debian.org/gitweb/?p=collab-maint/libpng1.6.git;a=summary
>  That was my intention to package 1.6.8 . Glad that you already done
> it. Do you need co-maintainers?
> 
Can you please move this off debian-release?

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Mon, 10 Feb 2014 00:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 10 Feb 2014 00:03:12 GMT) Full text and rfc822 format available.

Message #339 received at 650601@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: How to proceed with libpng transition
Date: Mon, 10 Feb 2014 08:51:41 +0900
Dear all,

I would inquire about your plans concerning libpng transition.
We have now a new version in experimental, but as long as the
pile of depending packages are not rebuild against the new
libpng there will not be much progress (freetype, harfbuzz,...)

Are you planning any concerted action with the release managers
to push a new libpng-dev based on 1.6 into unstable and start
a real transition?

Thanks a lot  and all the best

Norbert

------------------------------------------------------------------------
PREINING, Norbert                               http://www.preining.info
JAIST, Japan                                 TeX Live & Debian Developer
DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
------------------------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#650601; Package release.debian.org. (Sun, 23 Feb 2014 21:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 23 Feb 2014 21:54:04 GMT) Full text and rfc822 format available.

Message #344 received at 650601@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 650601@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>, debian-tex-maint <debian-tex-maint@lists.debian.org>
Subject: Re: How to proceed with libpng transition
Date: Mon, 24 Feb 2014 06:51:37 +0900
Hi,

Sorry,reply was late.

Major package of most is the state that can be migrated to libpng1.6.
I think if we can migrate major package, and I can be migrated
gradually also packages that depend on them.
However, I can not be involved in this work so much by the end of this month.
If I restart, then the data is read from the next month.

Best regards,
  Nobuhiro

2014-02-10 8:51 GMT+09:00 Norbert Preining <preining@logic.at>:
> Dear all,
>
> I would inquire about your plans concerning libpng transition.
> We have now a new version in experimental, but as long as the
> pile of depending packages are not rebuild against the new
> libpng there will not be much progress (freetype, harfbuzz,...)
>
> Are you planning any concerted action with the release managers
> to push a new libpng-dev based on 1.6 into unstable and start
> a real transition?
>
> Thanks a lot  and all the best
>
> Norbert
>
> ------------------------------------------------------------------------
> PREINING, Norbert                               http://www.preining.info
> JAIST, Japan                                 TeX Live & Debian Developer
> DSA: 0x09C5B094   fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
> ------------------------------------------------------------------------



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:32:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.